Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.script
Class ScriptContext

    java.lang.Object
      org.eclipse.birt.core.script.ScriptContext

All Implemented Interfaces:
  IScriptContext

    public class ScriptContext

extends java.lang.Object
implements IScriptContext

Constructor Summary
`ScriptContext()`

Method Summary
`void` | `close()`
`ICompiledScript` | `compile(java.lang.String language, java.lang.String fileName, int lineNo, java.lang.String script)`
`java.lang.Object` | `evaluate(ICompiledScript script)`
`java.lang.ClassLoader` | `getApplicationClassLoader()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getAttributes()`
`java.util.Locale` | `getLocale()`
`ScriptContext` | `getParent()`
`java.lang.Object` | `getScopeObject()`
`IScriptContext` | `getScriptContext(java.lang.String language)`
`IScriptEngine` | `getScriptEngine(java.lang.String scriptName)`
`com.ibm.icu.util.TimeZone` | `getTimeZone()`
`ScriptContext` | `newContext(java.lang.Object scope)`
`ScriptContext` | `newContext(java.lang.Object scope, java.util.Map<java.lang.String,java.lang.Object> attributes)`
`void` | `removeAttribute(java.lang.String name)`
`void` | `setApplicationClassLoader(java.lang.ClassLoader loader)` the user can only set the application class loader to the top most context.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setAttributes(java.util.Map<java.lang.String,java.lang.Object> attributes)`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setScriptContext(java.lang.String language, IScriptContext scriptContext)`
`void` | `setTimeZone(com.ibm.icu.util.TimeZone timeZone)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptContext

    public ScriptContext()

Method Detail

### getApplicationClassLoader

    public java.lang.ClassLoader getApplicationClassLoader()

### setApplicationClassLoader

    public void setApplicationClassLoader(java.lang.ClassLoader loader)

  the user can only set the application class loader to the top most context.

### newContext

    public ScriptContext newContext(java.lang.Object scope)

### newContext

    public ScriptContext newContext(java.lang.Object scope,
                                    java.util.Map<java.lang.String,java.lang.Object> attributes)

### getAttributes

    public java.util.Map<java.lang.String,java.lang.Object> getAttributes()

### setAttributes

    public void setAttributes(java.util.Map<java.lang.String,java.lang.Object> attributes)

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Specified by:
    `setAttribute` in interface `IScriptContext`

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Specified by:
    `removeAttribute` in interface `IScriptContext`

### compile

    public ICompiledScript compile(java.lang.String language,
                                   java.lang.String fileName,
                                   int lineNo,
                                   java.lang.String script)
                            throws BirtException

  Throws:
    `BirtException`

### evaluate

    public java.lang.Object evaluate(ICompiledScript script)
                              throws BirtException

  Throws:
    `BirtException`

### setLocale

    public void setLocale(java.util.Locale locale)

### getLocale

    public java.util.Locale getLocale()

### setTimeZone

    public void setTimeZone(com.ibm.icu.util.TimeZone timeZone)

### getTimeZone

    public com.ibm.icu.util.TimeZone getTimeZone()

### close

    public void close()

### getScriptEngine

    public IScriptEngine getScriptEngine(java.lang.String scriptName)
                                  throws BirtException

  Throws:
    `BirtException`

### getParent

    public ScriptContext getParent()

### getScopeObject

    public java.lang.Object getScopeObject()

### getScriptContext

    public IScriptContext getScriptContext(java.lang.String language)

### setScriptContext

    public void setScriptContext(java.lang.String language,
                                 IScriptContext scriptContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.